\begin{tikzpicture}
	\node (0A) at (0, 0) {$A$};
	\node (0UU) at (0, -.7) {$U'$};
	\draw[-] (0A.west) -- +(-1.2, -1.2) -- +(1.55, -1.2) --(0A.east);

	\begin{scope}[shift={(7,4)}]
	\node (1A1) at (-.7, -2.3) {$A$};
	\node[draw,circle] (1dum1) at (-.3, -3.5) {};
	\node (1A2) at (-.3, -4.3) {$A$};
	\node (1U) at (-2, -4) {$U$};
	\node (1UU) at (-.3, -5) {$U'$};
	\draw[-] (1A1.west) -- +(-3.5, -3.2) -- +(-1.3, -3.2) -- (1dum1);
	\draw[-] (1A1.east) -- +(2.9, -3.2) -- +(1.9, -3.2) -- (1dum1);
	\draw[-] (1dum1) -- (1A2);
	\draw[decorate, decoration={snake, amplitude=.6mm}] (1A1) -- (1dum1);
	\draw[-] (1A2.west) -- +(-1.2, -1.2) -- +(1.55, -1.2) -- (1A2.east);
	\end{scope}

	\begin{scope}[shift={(4, 0)}]
	\node (2A1) at (-.7, -2.3) {$A$};
	\node[draw,circle] (2dum1) at (-.3, -3.5) {};
	\node (2A2) at (-.3, -4.3) {$A$};
	\node[draw,circle] (2dum2) at (.1, -5.5) {};
	\node (2A3) at (.1, -6.3) {$A$};
	\node (2U1) at (-2, -4) {$U$};
	\node (2U2) at (-1.5, -6) {$U$};
	\node (2UU) at (.1, -7) {$U'$};
	\draw[-] (2A1.west) -- +(-3.5, -3.2) -- +(-1.3, -3.2) -- (2dum1);
	\draw[-] (2A1.east) -- +(2.9, -3.2) -- +(1.9, -3.2) -- (2dum1);
	\draw[-] (2A2.west) -- +(-3.5, -3.2) -- +(-1.3, -3.2) -- (2dum2);
	\draw[-] (2A2.east) -- +(2.9, -3.2) -- +(1.9, -3.2) -- (2dum2);
	\draw[-] (2dum1) -- (2A2);
	\draw[-] (2dum2) -- (2A3);
	\draw[decorate, decoration={snake, amplitude=.6mm}] (2A1) -- (2dum1);
	\draw[decorate, decoration={snake, amplitude=.6mm}] (2A2) -- (2dum2);
	\draw[-] (2A3.west) -- +(-1.2, -1.2) -- +(1.55, -1.2) -- (2A3.east);
	\end{scope}
\end{tikzpicture}
